Skip to content
GET/{organizationId}/{mandateId}/crm/vouchers/{voucherId}

Get voucher

Returns a specific voucher with all of its details

Required permissions:

  • mandate.read

  • voucher.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
voucherIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/vouchers/{voucherId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/vouchers/{voucherId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

namestringrequired

minLength: 1

maxLength: 64

amountintegerrequired

maximum: 9999999999

exclusiveMinimum: 0

amountPercentagebooleanrequired
intervalstring | nullrequired

Options:

monthquarterhalfYearyear
startAtstringrequired
endAtstring | nullrequired
codestringrequired

minLength: 10

maxLength: 10

Additional properties are not allowed.

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "name": "string",
  "amount": 1,
  "amountPercentage": true,
  "interval": "month",
  "startAt": "string",
  "endAt": "string",
  "code": "string",
  "contact": {
    "contact": "000000000000000000000001",
    "name": "string"
  },
  "contract": {
    "contract": "000000000000000000000001",
    "name": "string"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}